Subject: Re: [PATCH V5 net-next 1/5] net:hns: Add support of Hip06 SoC to the Hislicon Network Subsystem

From: Salil Mehta <[email-masked]>
Date: Wed, 2 Dec 2015 17:02:08 +0000

On 11/30/2015 7:50 PM, David Miller wrote:
> From: Salil Mehta <[email-masked]>
> Date: Thu, 26 Nov 2015 07:14:06 +0000
>
>> -#define ENABLE		(0x1)
>> -#define DISABLE		(0x0)
>> +#define ENABLE		0x1
>> +#define DISABLE		0x0
> Defining such common macros names for such incredibly simple boolean values
> is asking for trouble, in particular it can possibly collide with other
> defines in the global namespace.
>
> Use "true", "false", and the "bool" type, because that is exactly how you
> are using these values.
>
> Thanks.
Hi David,
Thanks for your suggestions. I have worked upon the comments and removed 
these macros
and introduced the 'bool' type here as well. I think I missed this in my 
earlier rework. Thanks
again for pointing it out. I have floated new V6 patch for your 
consideration.

Best Regards
Salil